/**
 * MIT License
 *
 * Copyright (c) 2019 Xu Liangzhan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */
import { hooks } from '@xmweb-ui/vue-common';
declare const _default: import("vue").ComponentOptions<import("vue").default, hooks.ShallowUnwrapRef<hooks.Data> & hooks.Data, {
    createColumn($table: any, colProps: any): any;
    renderHeader(h: any, params: any): any;
    renderCell(h: any, params: any): any;
    renderTreeCell(h: any, params: any): any[];
    renderTreeIcon(h: any, params: any): any[];
    renderIndexHeader(h: any, params: any): any;
    renderTreeIndexCell(h: any, params: any): any[];
    renderIndexCell(h: any, params: any): any;
    renderRadioHeader(h: any, params: any): any;
    renderRadioCell(h: any, params: any): any;
    renderTreeRadioCell(h: any, params: any): any[];
    renderSelectionHeader(h: any, params: any): any;
    renderSelectionCell(h: any, params: any): any;
    renderTreeSelectionCell(h: any, params: any): any[];
    renderSelectionCellByProp(h: any, params: any): any;
    renderTreeSelectionCellByProp(h: any, params: any): any[];
    renderExpandCell(h: any, params: any): any[] | null;
    renderExpandData(h: any, params: any): any;
    renderSortAndFilterHeader(h: any, params: any): any;
    renderSortHeader(h: any, params: any): any;
    renderSortIcon(h: any, params: any): any[];
    renderFilterHeader(h: any, params: any): any;
    renderFilterIcon(h: any, params: any, cls?: string): any[];
    renderEditHeader(h: any, params: any): any[];
    renderTreeRowEdit(h: any, params: any): any[];
    renderRowEdit(h: any, params: any): any;
    renderTreeCellEdit(h: any, params: any): any[];
    renderCellEdit(h: any, params: any): any;
    runRenderer(h: any, params: any, _vm: any, isEdit: any): any;
    getSuffixCls(params: any): string[];
    renderOperationCell(h: any, params: any): any;
}, {}, {
    align: StringConstructor;
    className: (StringConstructor | FunctionConstructor)[];
    editor: (ObjectConstructor | FunctionConstructor)[];
    field: StringConstructor;
    filter: {};
    filterMethod: FunctionConstructor;
    filterMultiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    filterRender: ObjectConstructor;
    filters: ArrayConstructor;
    fixed: StringConstructor;
    footerAlign: StringConstructor;
    footerClassName: (StringConstructor | FunctionConstructor)[];
    formatConfig: {
        type: ObjectConstructor;
        default: () => {
            data: never[];
        };
    };
    formatText: (StringConstructor | FunctionConstructor)[];
    formatValue: FunctionConstructor;
    group: {
        type: BooleanConstructor;
        default: boolean;
    };
    headerAlign: StringConstructor;
    headerClassName: (StringConstructor | FunctionConstructor)[];
    indexMethod: FunctionConstructor;
    label: StringConstructor;
    minWidth: (StringConstructor | NumberConstructor)[];
    params: ObjectConstructor;
    prop: StringConstructor;
    remoteSort: {
        type: BooleanConstructor;
        default: null;
    };
    renderer: (ObjectConstructor | FunctionConstructor)[];
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    resizable: {
        type: BooleanConstructor;
        default: null;
    };
    rules: ObjectConstructor;
    showHeaderOverflow: {
        type: (StringConstructor | BooleanConstructor)[];
        default: null;
    };
    showHeaderTip: {
        type: BooleanConstructor;
        default: null;
    };
    showIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    showOverflow: {
        type: (StringConstructor | BooleanConstructor)[];
        default: null;
    };
    showTip: {
        type: BooleanConstructor;
        default: null;
    };
    sortBy: (ArrayConstructor | StringConstructor)[];
    sortMethod: FunctionConstructor;
    sortable: {
        type: BooleanConstructor;
        default: boolean;
    };
    title: (StringConstructor | FunctionConstructor)[];
    treeNode: BooleanConstructor;
    type: StringConstructor;
    width: (StringConstructor | NumberConstructor)[];
    operationConfig: ObjectConstructor;
    xm_mode: StringConstructor;
    xm_mode_root: BooleanConstructor;
    xm_template: (ObjectConstructor | FunctionConstructor)[];
    xm_renderless: FunctionConstructor;
    xm_theme: StringConstructor;
    xm_chart_theme: ObjectConstructor;
}, {
    required: boolean;
    xm_mode_root: boolean;
    showIcon: boolean;
    group: boolean;
    formatConfig: Record<string, any>;
    showHeaderTip: boolean;
    resizable: boolean;
    showHeaderOverflow: string | boolean;
    showOverflow: string | boolean;
    showTip: boolean;
    treeNode: boolean;
    sortable: boolean;
    remoteSort: boolean;
    filterMultiple: boolean;
} & {
    fixed?: string | undefined;
    label?: string | undefined;
    title?: string | undefined;
    type?: string | undefined;
    formatText?: string | undefined;
    prop?: string | undefined;
    filter?: unknown;
    xm_mode?: string | undefined;
    xm_template?: unknown;
    xm_renderless?: Function | undefined;
    xm_theme?: string | undefined;
    xm_chart_theme?: Record<string, any> | undefined;
    filters?: unknown[] | undefined;
    width?: string | number | undefined;
    minWidth?: string | number | undefined;
    align?: string | undefined;
    filterMethod?: Function | undefined;
    className?: string | undefined;
    params?: Record<string, any> | undefined;
    field?: string | undefined;
    formatValue?: Function | undefined;
    headerClassName?: string | undefined;
    headerAlign?: string | undefined;
    footerAlign?: string | undefined;
    footerClassName?: string | undefined;
    editor?: unknown;
    renderer?: unknown;
    indexMethod?: Function | undefined;
    operationConfig?: Record<string, any> | undefined;
    sortMethod?: Function | undefined;
    filterRender?: Record<string, any> | undefined;
    rules?: Record<string, any> | undefined;
    sortBy?: string | unknown[] | undefined;
}> & import("vue").VueConstructor<import("vue").default> & (new (...args: any[]) => hooks.ComponentRenderProxy<{
    required: boolean;
    xm_mode_root: boolean;
    showIcon: boolean;
    group: boolean;
    formatConfig: Record<string, any>;
    showHeaderTip: boolean;
    resizable: boolean;
    showHeaderOverflow: string | boolean;
    showOverflow: string | boolean;
    showTip: boolean;
    treeNode: boolean;
    sortable: boolean;
    remoteSort: boolean;
    filterMultiple: boolean;
} & {
    fixed?: string | undefined;
    label?: string | undefined;
    title?: string | undefined;
    type?: string | undefined;
    formatText?: string | undefined;
    prop?: string | undefined;
    filter?: unknown;
    xm_mode?: string | undefined;
    xm_template?: unknown;
    xm_renderless?: Function | undefined;
    xm_theme?: string | undefined;
    xm_chart_theme?: Record<string, any> | undefined;
    filters?: unknown[] | undefined;
    width?: string | number | undefined;
    minWidth?: string | number | undefined;
    align?: string | undefined;
    filterMethod?: Function | undefined;
    className?: string | undefined;
    params?: Record<string, any> | undefined;
    field?: string | undefined;
    formatValue?: Function | undefined;
    headerClassName?: string | undefined;
    headerAlign?: string | undefined;
    footerAlign?: string | undefined;
    footerClassName?: string | undefined;
    editor?: unknown;
    renderer?: unknown;
    indexMethod?: Function | undefined;
    operationConfig?: Record<string, any> | undefined;
    sortMethod?: Function | undefined;
    filterRender?: Record<string, any> | undefined;
    rules?: Record<string, any> | undefined;
    sortBy?: string | unknown[] | undefined;
}, hooks.ShallowUnwrapRef<hooks.Data>, hooks.Data, {}, {
    createColumn($table: any, colProps: any): any;
    renderHeader(h: any, params: any): any;
    renderCell(h: any, params: any): any;
    renderTreeCell(h: any, params: any): any[];
    renderTreeIcon(h: any, params: any): any[];
    renderIndexHeader(h: any, params: any): any;
    renderTreeIndexCell(h: any, params: any): any[];
    renderIndexCell(h: any, params: any): any;
    renderRadioHeader(h: any, params: any): any;
    renderRadioCell(h: any, params: any): any;
    renderTreeRadioCell(h: any, params: any): any[];
    renderSelectionHeader(h: any, params: any): any;
    renderSelectionCell(h: any, params: any): any;
    renderTreeSelectionCell(h: any, params: any): any[];
    renderSelectionCellByProp(h: any, params: any): any;
    renderTreeSelectionCellByProp(h: any, params: any): any[];
    renderExpandCell(h: any, params: any): any[] | null;
    renderExpandData(h: any, params: any): any;
    renderSortAndFilterHeader(h: any, params: any): any;
    renderSortHeader(h: any, params: any): any;
    renderSortIcon(h: any, params: any): any[];
    renderFilterHeader(h: any, params: any): any;
    renderFilterIcon(h: any, params: any, cls?: string): any[];
    renderEditHeader(h: any, params: any): any[];
    renderTreeRowEdit(h: any, params: any): any[];
    renderRowEdit(h: any, params: any): any;
    renderTreeCellEdit(h: any, params: any): any[];
    renderCellEdit(h: any, params: any): any;
    runRenderer(h: any, params: any, _vm: any, isEdit: any): any;
    getSuffixCls(params: any): string[];
    renderOperationCell(h: any, params: any): any;
}, {
    required: boolean;
    xm_mode_root: boolean;
    showIcon: boolean;
    group: boolean;
    formatConfig: Record<string, any>;
    showHeaderTip: boolean;
    resizable: boolean;
    showHeaderOverflow: string | boolean;
    showOverflow: string | boolean;
    showTip: boolean;
    treeNode: boolean;
    sortable: boolean;
    remoteSort: boolean;
    filterMultiple: boolean;
} & {
    fixed?: string | undefined;
    label?: string | undefined;
    title?: string | undefined;
    type?: string | undefined;
    formatText?: string | undefined;
    prop?: string | undefined;
    filter?: unknown;
    xm_mode?: string | undefined;
    xm_template?: unknown;
    xm_renderless?: Function | undefined;
    xm_theme?: string | undefined;
    xm_chart_theme?: Record<string, any> | undefined;
    filters?: unknown[] | undefined;
    width?: string | number | undefined;
    minWidth?: string | number | undefined;
    align?: string | undefined;
    filterMethod?: Function | undefined;
    className?: string | undefined;
    params?: Record<string, any> | undefined;
    field?: string | undefined;
    formatValue?: Function | undefined;
    headerClassName?: string | undefined;
    headerAlign?: string | undefined;
    footerAlign?: string | undefined;
    footerClassName?: string | undefined;
    editor?: unknown;
    renderer?: unknown;
    indexMethod?: Function | undefined;
    operationConfig?: Record<string, any> | undefined;
    sortMethod?: Function | undefined;
    filterRender?: Record<string, any> | undefined;
    rules?: Record<string, any> | undefined;
    sortBy?: string | unknown[] | undefined;
}, {
    required: boolean;
    showIcon: boolean;
    group: boolean;
    formatConfig: Record<string, any>;
    showHeaderTip: boolean;
    resizable: boolean;
    showHeaderOverflow: string | boolean;
    showOverflow: string | boolean;
    showTip: boolean;
    sortable: boolean;
    remoteSort: boolean;
    filterMultiple: boolean;
}, true>);
export default _default;
