/**
 * MIT License
 *
 * Copyright (c) 2019 Xu Liangzhan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */
import { hooks } from '@xmweb-ui/vue-common';
declare const _default: import("vue").ComponentOptions<import("vue").default, hooks.ShallowUnwrapRef<{
    t: (this: any, path: any, options?: any) => any;
    vm: any;
    f: (props: any, attrs?: {}) => {};
    a: (attrs: any, filters: any, include: any) => {};
    d: (props: any) => void;
    dp: (props: any) => void;
    gcls: (key: any) => any;
    m: (...cssClasses: any[]) => string;
}> & {
    emitter: {
        emit(eventName: any): void;
        on: (event: any, callback: any, once?: boolean) => void;
        once(event: any, callback: any): void;
        off(event: any, callback: any): void;
    };
    fetchOption: null;
    filterData: never[];
    listeners: {};
    pagerConfig: null;
    pendingRecords: never[];
    seqIndex: number;
    sortData: {};
    tableCustoms: never[];
    tableData: never[];
    tableLoading: boolean;
    tablePage: {
        total: number;
        pageSize: number;
        currentPage: number;
    };
    toolBarVm: null;
    columnAnchorParams: {};
    columnAnchorKey: string;
    tasks: {};
}, {
    initPagerConfig(): any;
    initFetchOption(): {
        api: any;
        dataset: Record<string, any>;
        fields: any;
        loading: any;
    } | undefined;
    updateParentHeight(): void;
    handleRowClassName(params: any): never[];
    handleActiveMethod(params: any): any;
    handleFetch(code: any, sortArg: any): any;
    loadFetchData(rest: any): void;
    handleSave(code: any, args: any): Promise<unknown> | undefined;
    handleDelete(code: any, args: any): void;
    handleFullScreen([show]: [any]): void;
    commitProxy(code: any): Promise<void>;
    handleDeleteRow(code: any, i18nKey: any, callback: any): void;
    getPendingRecords(): never[];
    triggerToolbarBtnEvent(button: any, event: any): void;
    triggerPendingEvent(code: any): void;
    pageChangeEvent(params: any): void;
    pageSizeChange(size: any, load: any): void;
    pageCurrentChange(current: any): void;
    beforePageChangeHandler(params: any): void;
    sortChangeEvent(params: any): void;
    viewCls(module: any): any;
    buildColumnAnchorParams(): void;
    anchorAction({ field, anchors, _vm }: {
        field: any;
        anchors: any;
        _vm: any;
    }): void;
    addIntersectionObserver(): void;
    removeIntersectionObserver(): void;
    filterChangeEvent(params: any): void;
}, {
    isMsg(): boolean;
    tableProps(): {};
    proxyOpts(): any;
    vSize(): any;
}, {
    isBeforePageChange: BooleanConstructor;
    showSaveMsg: {
        type: BooleanConstructor;
        default: boolean;
    };
    isMultipleHistory: BooleanConstructor;
    selectToolbar: (ObjectConstructor | BooleanConstructor)[];
    align: {
        type: StringConstructor;
        default: () => any;
    };
    autoResize: BooleanConstructor;
    border: {
        type: BooleanConstructor;
        default: () => any;
    };
    cellClassName: (StringConstructor | FunctionConstructor)[];
    columnKey: BooleanConstructor;
    columnMinWidth: (StringConstructor | NumberConstructor)[];
    columnWidth: (StringConstructor | NumberConstructor)[];
    contextMenu: ObjectConstructor;
    customs: ArrayConstructor;
    data: (ObjectConstructor | ArrayConstructor)[];
    dropConfig: ObjectConstructor;
    editConfig: (ObjectConstructor | BooleanConstructor)[];
    editRules: ObjectConstructor;
    expandConfig: ObjectConstructor;
    fit: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    footerAlign: {
        type: StringConstructor;
        default: () => any;
    };
    footerCellClassName: (StringConstructor | FunctionConstructor)[];
    footerMethod: FunctionConstructor;
    footerRowClassName: (StringConstructor | FunctionConstructor)[];
    footerSpanMethod: FunctionConstructor;
    headerAlign: {
        type: StringConstructor;
        default: () => any;
    };
    headerCellClassName: (StringConstructor | FunctionConstructor)[];
    headerRowClassName: (StringConstructor | FunctionConstructor)[];
    headerSuffixIconAbsolute: BooleanConstructor;
    height: (StringConstructor | NumberConstructor)[];
    highlightCell: BooleanConstructor;
    highlightCurrentColumn: {
        type: BooleanConstructor;
        default: () => any;
    };
    highlightCurrentRow: {
        type: BooleanConstructor;
        default: () => any;
    };
    highlightHoverColumn: {
        type: BooleanConstructor;
        default: () => any;
    };
    highlightHoverRow: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    isAsyncColumn: BooleanConstructor;
    isCenterEmpty: BooleanConstructor;
    isDragHeaderSorting: BooleanConstructor;
    keyboardConfig: ObjectConstructor;
    loading: BooleanConstructor;
    loadingComponent: ObjectConstructor;
    maxHeight: (StringConstructor | NumberConstructor)[];
    minHeight: (StringConstructor | NumberConstructor)[];
    mouseConfig: ObjectConstructor;
    optimization: ObjectConstructor;
    params: ObjectConstructor;
    radioConfig: ObjectConstructor;
    remoteFilter: BooleanConstructor;
    remoteSort: BooleanConstructor;
    renderEmpty: FunctionConstructor;
    renderRowAfter: FunctionConstructor;
    resizable: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    rowClassName: (StringConstructor | FunctionConstructor)[];
    rowGroup: ObjectConstructor;
    rowId: {
        type: StringConstructor;
        default: () => string;
    };
    rowKey: BooleanConstructor;
    rowSpan: ArrayConstructor;
    scrollLoad: ObjectConstructor;
    selectConfig: ObjectConstructor;
    showFooter: BooleanConstructor;
    showHeader: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    showHeaderOverflow: {
        type: (StringConstructor | BooleanConstructor)[];
        default: () => any;
    };
    showOverflow: {
        type: (StringConstructor | BooleanConstructor)[];
        default: () => any;
    };
    size: {
        type: StringConstructor;
        default: () => any;
    };
    sortConfig: ObjectConstructor;
    sortMethod: FunctionConstructor;
    sortable: {
        type: BooleanConstructor;
        default: boolean;
    };
    spanMethod: FunctionConstructor;
    startIndex: {
        type: NumberConstructor;
        default: number;
    };
    stripe: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    stripeSaas: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    borderSaas: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    borderVertical: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    summaryConfig: ObjectConstructor;
    syncResize: BooleanConstructor;
    tableLayout: StringConstructor;
    tooltipConfig: {
        type: ObjectConstructor;
        default: () => {};
    };
    treeConfig: ObjectConstructor;
    validConfig: ObjectConstructor;
    cardConfig: ObjectConstructor;
    viewType: {
        type: StringConstructor;
        default: () => string;
    };
    mfShow: {
        type: StringConstructor;
        default: () => string;
    };
    columnAnchor: ArrayConstructor;
    renderFooter: FunctionConstructor;
    listConfig: ObjectConstructor;
    ganttConfig: ObjectConstructor;
    prefetch: (ArrayConstructor | BooleanConstructor)[];
    intersectionOption: ObjectConstructor;
    columns: ArrayConstructor;
    proxyConfig: ObjectConstructor;
    fetchData: ObjectConstructor;
    saveData: ObjectConstructor;
    deleteData: ObjectConstructor;
    toolbar: ObjectConstructor;
    pager: ObjectConstructor;
    dataset: ObjectConstructor;
    autoLoad: {
        type: BooleanConstructor;
        default: boolean;
    };
    seqSerial: {
        type: BooleanConstructor;
        default: boolean;
    };
    events: ObjectConstructor;
    xm_mode: StringConstructor;
    xm_mode_root: BooleanConstructor;
    xm_template: (ObjectConstructor | FunctionConstructor)[];
    xm_renderless: FunctionConstructor;
    xm_theme: StringConstructor;
    xm_chart_theme: ObjectConstructor;
}, {
    xm_mode_root: boolean;
    size: string;
    loading: boolean;
    showHeader: boolean;
    showFooter: boolean;
    border: boolean;
    tooltipConfig: Record<string, any>;
    align: string;
    isBeforePageChange: boolean;
    highlightCurrentColumn: boolean;
    columnKey: boolean;
    isDragHeaderSorting: boolean;
    resizable: boolean;
    headerSuffixIconAbsolute: boolean;
    showHeaderOverflow: string | boolean;
    headerAlign: string;
    footerAlign: string;
    showOverflow: string | boolean;
    startIndex: number;
    highlightCurrentRow: boolean;
    rowId: string;
    rowKey: boolean;
    isCenterEmpty: boolean;
    remoteFilter: boolean;
    sortable: boolean;
    remoteSort: boolean;
    fit: boolean;
    isAsyncColumn: boolean;
    isMultipleHistory: boolean;
    viewType: string;
    mfShow: string;
    highlightCell: boolean;
    stripe: boolean;
    highlightHoverRow: boolean;
    highlightHoverColumn: boolean;
    stripeSaas: boolean;
    borderSaas: boolean;
    borderVertical: boolean;
    autoResize: boolean;
    autoLoad: boolean;
    seqSerial: boolean;
    showSaveMsg: boolean;
    syncResize: boolean;
} & {
    data?: unknown;
    loadingComponent?: Record<string, any> | undefined;
    xm_mode?: string | undefined;
    xm_template?: unknown;
    xm_renderless?: Function | undefined;
    xm_theme?: string | undefined;
    xm_chart_theme?: Record<string, any> | undefined;
    height?: string | number | undefined;
    columnWidth?: string | number | undefined;
    maxHeight?: string | number | undefined;
    minHeight?: string | number | undefined;
    tableLayout?: string | undefined;
    columns?: unknown[] | undefined;
    dropConfig?: Record<string, any> | undefined;
    events?: Record<string, any> | undefined;
    dataset?: Record<string, any> | undefined;
    selectConfig?: Record<string, any> | undefined;
    radioConfig?: Record<string, any> | undefined;
    optimization?: Record<string, any> | undefined;
    cellClassName?: string | undefined;
    params?: Record<string, any> | undefined;
    editConfig?: unknown;
    rowSpan?: unknown[] | undefined;
    mouseConfig?: Record<string, any> | undefined;
    headerCellClassName?: string | undefined;
    headerRowClassName?: string | undefined;
    footerSpanMethod?: Function | undefined;
    footerCellClassName?: string | undefined;
    footerRowClassName?: string | undefined;
    treeConfig?: Record<string, any> | undefined;
    expandConfig?: Record<string, any> | undefined;
    spanMethod?: Function | undefined;
    editRules?: Record<string, any> | undefined;
    rowGroup?: Record<string, any> | undefined;
    rowClassName?: string | undefined;
    renderEmpty?: Function | undefined;
    keyboardConfig?: Record<string, any> | undefined;
    scrollLoad?: Record<string, any> | undefined;
    toolbar?: Record<string, any> | undefined;
    sortMethod?: Function | undefined;
    customs?: unknown[] | undefined;
    columnMinWidth?: string | number | undefined;
    footerMethod?: Function | undefined;
    summaryConfig?: Record<string, any> | undefined;
    selectToolbar?: unknown;
    cardConfig?: Record<string, any> | undefined;
    listConfig?: Record<string, any> | undefined;
    ganttConfig?: Record<string, any> | undefined;
    contextMenu?: Record<string, any> | undefined;
    sortConfig?: Record<string, any> | undefined;
    validConfig?: Record<string, any> | undefined;
    columnAnchor?: unknown[] | undefined;
    renderFooter?: Function | undefined;
    saveData?: Record<string, any> | undefined;
    pager?: Record<string, any> | undefined;
    proxyConfig?: Record<string, any> | undefined;
    fetchData?: Record<string, any> | undefined;
    deleteData?: Record<string, any> | undefined;
    renderRowAfter?: Function | undefined;
    prefetch?: boolean | unknown[] | undefined;
    intersectionOption?: Record<string, any> | undefined;
}> & import("vue").VueConstructor<import("vue").default> & (new (...args: any[]) => hooks.ComponentRenderProxy<{
    xm_mode_root: boolean;
    size: string;
    loading: boolean;
    showHeader: boolean;
    showFooter: boolean;
    border: boolean;
    tooltipConfig: Record<string, any>;
    align: string;
    isBeforePageChange: boolean;
    highlightCurrentColumn: boolean;
    columnKey: boolean;
    isDragHeaderSorting: boolean;
    resizable: boolean;
    headerSuffixIconAbsolute: boolean;
    showHeaderOverflow: string | boolean;
    headerAlign: string;
    footerAlign: string;
    showOverflow: string | boolean;
    startIndex: number;
    highlightCurrentRow: boolean;
    rowId: string;
    rowKey: boolean;
    isCenterEmpty: boolean;
    remoteFilter: boolean;
    sortable: boolean;
    remoteSort: boolean;
    fit: boolean;
    isAsyncColumn: boolean;
    isMultipleHistory: boolean;
    viewType: string;
    mfShow: string;
    highlightCell: boolean;
    stripe: boolean;
    highlightHoverRow: boolean;
    highlightHoverColumn: boolean;
    stripeSaas: boolean;
    borderSaas: boolean;
    borderVertical: boolean;
    autoResize: boolean;
    autoLoad: boolean;
    seqSerial: boolean;
    showSaveMsg: boolean;
    syncResize: boolean;
} & {
    data?: unknown;
    loadingComponent?: Record<string, any> | undefined;
    xm_mode?: string | undefined;
    xm_template?: unknown;
    xm_renderless?: Function | undefined;
    xm_theme?: string | undefined;
    xm_chart_theme?: Record<string, any> | undefined;
    height?: string | number | undefined;
    columnWidth?: string | number | undefined;
    maxHeight?: string | number | undefined;
    minHeight?: string | number | undefined;
    tableLayout?: string | undefined;
    columns?: unknown[] | undefined;
    dropConfig?: Record<string, any> | undefined;
    events?: Record<string, any> | undefined;
    dataset?: Record<string, any> | undefined;
    selectConfig?: Record<string, any> | undefined;
    radioConfig?: Record<string, any> | undefined;
    optimization?: Record<string, any> | undefined;
    cellClassName?: string | undefined;
    params?: Record<string, any> | undefined;
    editConfig?: unknown;
    rowSpan?: unknown[] | undefined;
    mouseConfig?: Record<string, any> | undefined;
    headerCellClassName?: string | undefined;
    headerRowClassName?: string | undefined;
    footerSpanMethod?: Function | undefined;
    footerCellClassName?: string | undefined;
    footerRowClassName?: string | undefined;
    treeConfig?: Record<string, any> | undefined;
    expandConfig?: Record<string, any> | undefined;
    spanMethod?: Function | undefined;
    editRules?: Record<string, any> | undefined;
    rowGroup?: Record<string, any> | undefined;
    rowClassName?: string | undefined;
    renderEmpty?: Function | undefined;
    keyboardConfig?: Record<string, any> | undefined;
    scrollLoad?: Record<string, any> | undefined;
    toolbar?: Record<string, any> | undefined;
    sortMethod?: Function | undefined;
    customs?: unknown[] | undefined;
    columnMinWidth?: string | number | undefined;
    footerMethod?: Function | undefined;
    summaryConfig?: Record<string, any> | undefined;
    selectToolbar?: unknown;
    cardConfig?: Record<string, any> | undefined;
    listConfig?: Record<string, any> | undefined;
    ganttConfig?: Record<string, any> | undefined;
    contextMenu?: Record<string, any> | undefined;
    sortConfig?: Record<string, any> | undefined;
    validConfig?: Record<string, any> | undefined;
    columnAnchor?: unknown[] | undefined;
    renderFooter?: Function | undefined;
    saveData?: Record<string, any> | undefined;
    pager?: Record<string, any> | undefined;
    proxyConfig?: Record<string, any> | undefined;
    fetchData?: Record<string, any> | undefined;
    deleteData?: Record<string, any> | undefined;
    renderRowAfter?: Function | undefined;
    prefetch?: boolean | unknown[] | undefined;
    intersectionOption?: Record<string, any> | undefined;
}, hooks.ShallowUnwrapRef<{
    t: (this: any, path: any, options?: any) => any;
    vm: any;
    f: (props: any, attrs?: {}) => {};
    a: (attrs: any, filters: any, include: any) => {};
    d: (props: any) => void;
    dp: (props: any) => void;
    gcls: (key: any) => any;
    m: (...cssClasses: any[]) => string;
}>, {
    emitter: {
        emit(eventName: any): void;
        on: (event: any, callback: any, once?: boolean) => void;
        once(event: any, callback: any): void;
        off(event: any, callback: any): void;
    };
    fetchOption: null;
    filterData: never[];
    listeners: {};
    pagerConfig: null;
    pendingRecords: never[];
    seqIndex: number;
    sortData: {};
    tableCustoms: never[];
    tableData: never[];
    tableLoading: boolean;
    tablePage: {
        total: number;
        pageSize: number;
        currentPage: number;
    };
    toolBarVm: null;
    columnAnchorParams: {};
    columnAnchorKey: string;
    tasks: {};
}, {
    isMsg(): boolean;
    tableProps(): {};
    proxyOpts(): any;
    vSize(): any;
}, {
    initPagerConfig(): any;
    initFetchOption(): {
        api: any;
        dataset: Record<string, any>;
        fields: any;
        loading: any;
    } | undefined;
    updateParentHeight(): void;
    handleRowClassName(params: any): never[];
    handleActiveMethod(params: any): any;
    handleFetch(code: any, sortArg: any): any;
    loadFetchData(rest: any): void;
    handleSave(code: any, args: any): Promise<unknown> | undefined;
    handleDelete(code: any, args: any): void;
    handleFullScreen([show]: [any]): void;
    commitProxy(code: any): Promise<void>;
    handleDeleteRow(code: any, i18nKey: any, callback: any): void;
    getPendingRecords(): never[];
    triggerToolbarBtnEvent(button: any, event: any): void;
    triggerPendingEvent(code: any): void;
    pageChangeEvent(params: any): void;
    pageSizeChange(size: any, load: any): void;
    pageCurrentChange(current: any): void;
    beforePageChangeHandler(params: any): void;
    sortChangeEvent(params: any): void;
    viewCls(module: any): any;
    buildColumnAnchorParams(): void;
    anchorAction({ field, anchors, _vm }: {
        field: any;
        anchors: any;
        _vm: any;
    }): void;
    addIntersectionObserver(): void;
    removeIntersectionObserver(): void;
    filterChangeEvent(params: any): void;
}, {
    xm_mode_root: boolean;
    size: string;
    loading: boolean;
    showHeader: boolean;
    showFooter: boolean;
    border: boolean;
    tooltipConfig: Record<string, any>;
    align: string;
    isBeforePageChange: boolean;
    highlightCurrentColumn: boolean;
    columnKey: boolean;
    isDragHeaderSorting: boolean;
    resizable: boolean;
    headerSuffixIconAbsolute: boolean;
    showHeaderOverflow: string | boolean;
    headerAlign: string;
    footerAlign: string;
    showOverflow: string | boolean;
    startIndex: number;
    highlightCurrentRow: boolean;
    rowId: string;
    rowKey: boolean;
    isCenterEmpty: boolean;
    remoteFilter: boolean;
    sortable: boolean;
    remoteSort: boolean;
    fit: boolean;
    isAsyncColumn: boolean;
    isMultipleHistory: boolean;
    viewType: string;
    mfShow: string;
    highlightCell: boolean;
    stripe: boolean;
    highlightHoverRow: boolean;
    highlightHoverColumn: boolean;
    stripeSaas: boolean;
    borderSaas: boolean;
    borderVertical: boolean;
    autoResize: boolean;
    autoLoad: boolean;
    seqSerial: boolean;
    showSaveMsg: boolean;
    syncResize: boolean;
} & {
    data?: unknown;
    loadingComponent?: Record<string, any> | undefined;
    xm_mode?: string | undefined;
    xm_template?: unknown;
    xm_renderless?: Function | undefined;
    xm_theme?: string | undefined;
    xm_chart_theme?: Record<string, any> | undefined;
    height?: string | number | undefined;
    columnWidth?: string | number | undefined;
    maxHeight?: string | number | undefined;
    minHeight?: string | number | undefined;
    tableLayout?: string | undefined;
    columns?: unknown[] | undefined;
    dropConfig?: Record<string, any> | undefined;
    events?: Record<string, any> | undefined;
    dataset?: Record<string, any> | undefined;
    selectConfig?: Record<string, any> | undefined;
    radioConfig?: Record<string, any> | undefined;
    optimization?: Record<string, any> | undefined;
    cellClassName?: string | undefined;
    params?: Record<string, any> | undefined;
    editConfig?: unknown;
    rowSpan?: unknown[] | undefined;
    mouseConfig?: Record<string, any> | undefined;
    headerCellClassName?: string | undefined;
    headerRowClassName?: string | undefined;
    footerSpanMethod?: Function | undefined;
    footerCellClassName?: string | undefined;
    footerRowClassName?: string | undefined;
    treeConfig?: Record<string, any> | undefined;
    expandConfig?: Record<string, any> | undefined;
    spanMethod?: Function | undefined;
    editRules?: Record<string, any> | undefined;
    rowGroup?: Record<string, any> | undefined;
    rowClassName?: string | undefined;
    renderEmpty?: Function | undefined;
    keyboardConfig?: Record<string, any> | undefined;
    scrollLoad?: Record<string, any> | undefined;
    toolbar?: Record<string, any> | undefined;
    sortMethod?: Function | undefined;
    customs?: unknown[] | undefined;
    columnMinWidth?: string | number | undefined;
    footerMethod?: Function | undefined;
    summaryConfig?: Record<string, any> | undefined;
    selectToolbar?: unknown;
    cardConfig?: Record<string, any> | undefined;
    listConfig?: Record<string, any> | undefined;
    ganttConfig?: Record<string, any> | undefined;
    contextMenu?: Record<string, any> | undefined;
    sortConfig?: Record<string, any> | undefined;
    validConfig?: Record<string, any> | undefined;
    columnAnchor?: unknown[] | undefined;
    renderFooter?: Function | undefined;
    saveData?: Record<string, any> | undefined;
    pager?: Record<string, any> | undefined;
    proxyConfig?: Record<string, any> | undefined;
    fetchData?: Record<string, any> | undefined;
    deleteData?: Record<string, any> | undefined;
    renderRowAfter?: Function | undefined;
    prefetch?: boolean | unknown[] | undefined;
    intersectionOption?: Record<string, any> | undefined;
}, {
    size: string;
    showHeader: boolean;
    border: boolean;
    tooltipConfig: Record<string, any>;
    align: string;
    highlightCurrentColumn: boolean;
    resizable: boolean;
    showHeaderOverflow: string | boolean;
    headerAlign: string;
    footerAlign: string;
    showOverflow: string | boolean;
    startIndex: number;
    highlightCurrentRow: boolean;
    rowId: string;
    sortable: boolean;
    fit: boolean;
    viewType: string;
    mfShow: string;
    stripe: boolean;
    highlightHoverRow: boolean;
    highlightHoverColumn: boolean;
    stripeSaas: boolean;
    borderSaas: boolean;
    borderVertical: boolean;
    autoLoad: boolean;
    seqSerial: boolean;
    showSaveMsg: boolean;
}, true>);
export default _default;
